package com.Kettle.schedule.muck;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

import static com.Kettle.utils.runtransfer.runTransfer;

@Component
@PropertySource(value = "classpath:/KettleFiles.properties", encoding = "GBK")
public class muckDeclareJob {

    @Value("${Kettle.Muck_declare}")
    private String muckDeclare;

    @XxlJob("muckDeclare")
    public ReturnT<String> muckDeclareKettle(String param) {
        try {
            runTransfer(muckDeclare);
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log(muckDeclare + "异常" + e.getMessage());
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }
}
